﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
<table border="0" width="100%" cellpadding="0" cellspacing="0">
    <tr style="height:25px;">
        <td style="padding-right:4px;">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Logistic Partner No";
                    
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td width="150">
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "LogisticPartnerNo";
                    edtSettings.ToolTip = "Press Enter to Submit";
                    edtSettings.TabIndex = 0;
                    edtSettings.Properties.ClientSideEvents.TextChanged = "function(s,e) { javascript:pcModalMode.Show(); }";
                    
                    edtSettings.Properties.ClientSideEvents.KeyPress = "function(s, e){ btnReceive.Focus(); }";
                    edtSettings.Properties.ClientSideEvents.LostFocus = "function(s, e){ btnReceive.Focus(); }";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                }).GetHtml()
        </td>           
    </tr>      
    
</table>
<div style="height:27px;"></div>
<div align="right">
     @Html.DevExpress().Button(
                            settings =>
                            {
                                settings.Name = "btnReceive";
                                settings.TabIndex = 1;
                                settings.ToolTip = "Alt + V";
                                settings.Text = "Receive";
                                settings.Width = Unit.Pixel(117);
                                settings.Height = Unit.Pixel(37);
                                settings.UseSubmitBehavior = true;
                              //  settings.ControlStyle.Font.Size = FontUnit.Medium;
                               // settings.ControlStyle.Font.Bold = true;
                                settings.ClientSideEvents.Click = "function(s,e) { javascript:pcModalMode.Show(); }";
                            }
                        ).GetHtml()
  
 </div>
        
